# $Revision: 1.22 $, $Date: 2010/08/21 19:09:04 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	FastCreate
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - fast creation of valid XML with DTD control and translation options
Summary(pl.UTF-8):	%{_pearname} - szybkie tworzenie poprawnego XML-u ze sprawdzaniem DTD i opcjami dla tłumaczeń
Name:		php-pear-%{_pearname}
Version:	1.0.3
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	7475c831ce8fcbc850aaa3ed4a7d8ab9
URL:		http://pear.php.net/package/XML_FastCreate/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.3.2
Requires:	php-pear
Suggests:	php-pear-XML_Beautifier >= 1.1
Suggests:	php-pear-XML_DTD >= 0.4.1
Suggests:	php-pear-XML_HTMLSax >= 2.1.2
Suggests:	php-pear-XML_Tree >= 2.0-0.b2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(XML/Tree.*)' 'pear(XML/DTD.*)' 'pear(XML/Beautifier.*)' 'pear(XML/HTMLSax.*)'

%description
Key features of this package include:
- Easy way to make valid XML :
	$x->div(
	$x->h1("Example"),
	$x->p("Hello"),
	$x->p(array('class'=>'example'), "World !")
	)

- Option to report DTD errors in your XML :
Use internal tool or external program [ Require XML_DTD package ]

- Use output driver of your choice :
Text : return string
XML_Tree : return XML_Tree object [ Require XML_Tree package ]

- Translate option to quickly transform tags by anothers :
ex: Convert your XML to XHTML :
<news><title>Example</title></news>
to :
<div class="news"><h1>Example</h1></div>

- Include a PHP program to quickly transform HTML to FastCreate syntax.
[ Require XML_HTMLSax package ]

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Kluczowe możliwości tego pakietu obejmują:
- prosty sposób tworzenia poprawnego XML-a:
	$x->div(
	$x->h1("Przykład"),
	$x->p("Witaj"),
	$x->p(array('class'=>'example'), "Świecie!")
	)

- opcję zgłaszania błędów DTD w XML-u:
użycie wewnętrznego narzędzia lub zewnętrznego programu (wymaga
pakietu XML_DTD)

- użycie wybranego sterownika wyjściowego:
Text : return string
XML_Tree : return XML_Tree object
(wymaga pakietu XML_Tree)

- opcję tłumaczenia szybko przekształcającą znaczniki przez inne, np.
w celu przetłumaczenia XML-a na XHTML:
<news><title>Przykład</title></news>
na:
<div class="news"><h1>Przykład</h1></div>

- dołączanie programu PHP do szybkiego przekształcania HTML-a do
składni FastCreate (wymaga pakietu XML_HTMLSax).

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

install -d ./%{_bindir}
mv ./{%{php_pear_dir}/script/HTML2XFC.php,%{_bindir}/HTML2XFC}

install -d ./%{php_pear_dir}/tests/%{_pearname}
mv ./%{php_pear_dir}/{%{_class}/tests/*,tests/%{_pearname}}

install -d ./%{php_pear_dir}/data/%{_pearname}
mv ./%{php_pear_dir}/{%{_class}/dtd/*,data/%{_pearname}}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT{%{_bindir},%{php_pear_dir}}
install ./%{_bindir}/* $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%attr(755,root,root) %{_bindir}/*
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*
%{php_pear_dir}/data/%{_pearname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_FastCreate.spec,v $
Revision 1.22  2010/08/21 19:09:04  glen
- updated deps with pearize.sh
- release 3

Revision 1.21  2008/01/31 12:16:12  glen
- rel 2

Revision 1.20  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.18  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.17  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.16  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.15  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.14  2005/12/18 22:36:42  glen
- 1.0.3

Revision 1.13  2005/12/13 10:24:29  glen
- 1.0.2

Revision 1.12  2005/12/09 21:09:48  glen
- interpreter is autodetected on executables

Revision 1.11  2005/12/08 17:04:15  glen
- updated to 1.0.1

Revision 1.10  2005/10/27 19:22:29  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.9  2005/10/05 20:59:19  glen
- rel 2

Revision 1.8  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.7  2005/10/01 00:44:20  glen
- new pear packaging

Revision 1.6  2005/04/03 18:31:18  adamg
- updated to 1.0.0

Revision 1.5  2004/12/04 14:29:44  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.4  2004/10/31 21:53:11  paladine
- spaces->tabs
- formatting

Revision 1.3  2004/07/10 17:06:10  qboosh
- pl desc

Revision 1.2  2004/07/09 20:43:19  ankry
- pl summary, spaces -> tabs

Revision 1.1  2004/07/09 20:22:27  adamg
- new
